# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - WikiBanner Macro 
    
    @copyright: 2008 Ubuntu - Leo Iannacone <l3on@ubuntu.com>.
"""

from MoinMoin import config, wikiutil

def execute(self, arg):

	wikiBannerComments = {
		'UnsupportedVersion': 'This article applies to an unsupported version of Ubuntu. ',
		'ContentCleanupRequired': 'This article should be cleaned-up to follow the content standards in the Wiki Guide.',
		'StyleCleanupRequired': 'This article does not follow the style standards in the Wiki Guide. ',
		'NeedsExpansion': 'This article is incomplete, and needs to be expanded.',
		'PageTooLong': 'This article is too long, and should be split into sub-articles.' ,
		'CandidateForMoving': 'This article may not be appropriate for this wiki, and should be moved to the Team wiki.',
		'CandidateForDeletion': 'This article may not be appropriate for this wiki, and may be deleted. ',
		'DuplicateArticle': 'This article covers the same material as another article.' }

	wikiBannerTitles = {
		'UnsupportedVersion': 'Unsupported Version',
		'ContentCleanupRequired': 'Content Cleanup Required',
		'StyleCleanupRequired': 'Style Cleanup Required ',
		'NeedsExpansion': 'Needs Expansion',
		'PageTooLong': 'Page too long' ,
		'CandidateForMoving': 'Candidate for Moving',
		'CandidateForDeletion': 'Candidate for Deletion',
		'DuplicateArticle': 'Duplicate Article' }

	# Creat an exeception String
	exceptionString = "ExeceptionArguments -> Arguments avaible in __WikiBanner__ macro are:\n"
	for key in wikiBannerComments:
     		exceptionString += ("\n'%s': %s\n" %  (key, wikiBannerComments[key]))

	# Some tests on args
	if arg == '':
      		raise Exception(exceptionString)

	if arg not in wikiBannerTitles:
		raise Exception(exceptionString)


	

	self.result = []
	# Creating header
	self.result.append(self.formatter.div(1, css_class="wikiBanner"))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-%s" % arg)))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-top-sx-%s" % arg)))
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-top-dx-%s" % arg)))
	self.result.append(self.formatter.div(0))

	# Creating core

	self.result.append(self.formatter.div(1, css_class=("wikiBanner-core-%s" % arg)))
	self.result.append(self.formatter.span(1))
	self.result.append(self.formatter.text(("%s: " % wikiBannerTitles[arg])))
	self.result.append(self.formatter.span(0))
	self.result.append(self.formatter.text(("%s" % wikiBannerComments[arg])))
	self.result.append(self.formatter.div(0))

	
	# Creating footer  
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-bottom-sx-%s" % arg)))
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(1, css_class="wikiBanner-bottom-dx-%s" % arg))
	self.result.append(self.formatter.div(0))
	
	# Closing div wikiBanner-%s and wikiBanner
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(0))

	return ''.join(self.result) 
