#!/bin/bash
IMG_SRC=img_src
ALL_IN_ONE=wiki-banner.css
WIKI_BANNER_DIR=wiki-banner
mkdir -p css/$WIKI_BANNER_DIR

cat /dev/null > css/$ALL_IN_ONE

echo "UnsupportedVersion ff9edb
ContentCleanupRequired a0b8e2
StyleCleanupRequired afe2a0
NeedsExpansion f5e627
PageTooLong 808080
CandidateForMoving c787c7
CandidateForDeletion fdc0a4
DuplicateArticle e6e6e6" | while read BANNER COLOUR ; do

mkdir -p img/$BANNER
 

echo "
/* Classes for styling Toc */

.wikiBanner-$BANNER {
	background-color: #$COLOUR
}

.wikiBanner-top-sx-$BANNER {
	background-image: url('../../img/$BANNER/wikiBanner-top-sx.png');
	background-position: top left;
	height:10px;
	width:10px;
}

.wikiBanner-top-dx-$BANNER {
	background-image: url('../../img/$BANNER/wikiBanner-top-dx.png');
	background-position: top right;
	height:10px;
	margin-left: 10px;
	margin-top: -10px;
	background-repeat: no-repeat;
	background-color: #$COLOUR;
}

.wikiBanner-bottom-sx-$BANNER {
	background-image: url('../../img/$BANNER/wikiBanner-bottom-sx.png');
	background-position: bottom left;
	height:11px;
	width:10px;
	margin-top: -4px;
	background-color: #$COLOUR;
	background-repeat: no-repeat;
}

.wikiBanner-bottom-dx-$BANNER	{
	background-image: url('../../img/$BANNER/wikiBanner-bottom-dx.png');
	background-position: bottom right;
	height:11px;
	background-repeat: no-repeat;
	margin-left: 10px;
	margin-top: -11px;
	background-color: #$COLOUR;
}

.wikiBanner-core-$BANNER {
	background-color: #$COLOUR;
}


.wikiBanner-core-$BANNER span{
	font-weight: bold;
}

" > css/$WIKI_BANNER_DIR/$BANNER.css

echo "@import url('$WIKI_BANNER_DIR/$BANNER.css');" >> css/$ALL_IN_ONE


IMG_DIR=img/$BANNER

convert $IMG_SRC/$BANNER.png -crop 10x10 wikiBanner.png

cp wikiBanner-0.png $IMG_DIR/wikiBanner-top-sx.png
cp wikiBanner-5.png $IMG_DIR/wikiBanner-top-dx.png
cp wikiBanner-30.png $IMG_DIR/wikiBanner-bottom-sx.png
cp wikiBanner-35.png $IMG_DIR/wikiBanner-bottom-dx.png

echo "[OK] - $BANNER"

done

echo ".wikiBanner {
	width: 80%; 
	margin-left: 10%; 
	margin-right: 10%; 
	float: center; 
	text-align:center;
}" >> css/$ALL_IN_ONE

rm wikiBanner*
